jQuery(document).ready(function($){
	// pretty photo
	$('a[rel^="prettyPhoto"]').prettyPhoto();
	
	
	$('.attachment-thumbnail').parent().prettyPhoto();
	$('[class*="wp-image"]').parent().prettyPhoto();
	//disabling slider selection
    $('#slider').css({
        'MozUserSelect' : 'none'
    }).bind('selectstart', function() {
        return false;
    }).mousedown(function() {
        return false;
    });

    // PARAMETERS
    var lcp_menu_slide_down_speed = 300;
    var lcp_menu_slide_up_speed = 0;
    var lcp_menu_dropdown_width = 230;
    
    var current_level = 0;
    
    var $lcp_menu_navigation = $('#navigation ul li');
    
    $lcp_menu_navigation.hover(function(){
    	$(this).find('ul:first').stop(true,true).slideDown( lcp_menu_slide_down_speed );
    	if( current_level == 0 ) {
    		$(this).find('a:first').addClass('main_category');
    	} else {
    		$(this).find('ul:first').css('left', lcp_menu_dropdown_width);
    		$(this).find('ul:first').css('top', 0);
    	}
    	$(this).find('ul:first').children('li').children('a:odd').addClass('odd');
        $(this).find('ul:first').children('li').children('a:even').addClass('even'); 
    	current_level++;
    },function() {
    	$(this).find('ul').stop(true,true).slideUp(lcp_menu_slide_up_speed);   // slide up the CSS    	
		if (current_level == 1) // ONLY IF THE DROPDOWN LEVEL IS HIGHER THEN FIRST, WE HAVE TO CHANGE THE LEFT POSITION OF DROPDOWN 
		{
			$(this).find('a:first').removeClass('main_category');  
		}      
      
    	current_level--;
    });
});
